%define	module	Crypt-OpenSSL-RSA
%define name	perl-%{module}
%define version	0.24
%define release %mkrel 1

Summary:	%{module} module for perl 
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/Crypt/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}
Requires:	openssl
Buildrequires:	perl-devel
BuildRequires:	perl-Crypt-OpenSSL-Random
Buildrequires:	openssl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
%{module} module for perl

%prep
%setup -q -n %{module}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make CFLAGS="%{optflags}"

%check
%{__make} test

%install
rm -rf %{buildroot} 
%makeinstall_std

%clean 
rm -rf %{buildroot} 

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorarch}/auto/Crypt
%{perl_vendorarch}/Crypt
%{_mandir}/man*/*


%changelog
* Fri Nov 24 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.24-1mdv2007.0
+ Revision: 86940
- new version
- Import perl-Crypt-OpenSSL-RSA



* Thu Aug 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.23-2mdv2007.0
- Rebuild

* Sat Apr 15 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.23-1mdk
- New release 0.23
- spec cleanup
- correct optimisations

* Wed Nov 30 2005 Oden Eriksson <oeriksson@mandriva.com> 0.22-3mdk
- rebuilt against openssl-0.9.8a

* Mon Oct 10 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.22-2mdk
- Fix buildrequires mistake

* Thu Sep 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.22-1mdk
- 0.22

* Tue Feb 08 2005 Sylvie Terjan <erinmargault@mandrake.org> 0.21-2mdk
- rebuild for new perl

* Wed Apr 21 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.21-1mdk
- 0.21

* Thu Aug 14 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.19-2mdk
- rebuild for new perl
- don't use PREFIX
- use %%makeinstall_std macro
- make %%module macro and use it

* Mon Jun 30 2003 Franois Pons <fpons@mandrakesoft.com> 0.19-1mdk
- 0.19.

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.18-2mdk
- rebuild for new auto{prov,req}

* Sat Apr 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.18-1mdk
- 0.18

* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.16-2mdk
- build release

* Tue Nov 19 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.16-1mdk
- initial cooker contrib.
